# Uses of Interface
org.opensaml.saml.metadata.resolver.filter.MetadataNodeProcessor

Packages that use MetadataNodeProcessor
Package
Description
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.

## Uses of MetadataNodeProcessor in org.opensaml.saml.metadata.resolver.filter.impl

Classes in org.opensaml.saml.metadata.resolver.filter.impl that implement MetadataNodeProcessor
Modifier and Type
Class
Description
`class`
`EntitiesDescriptorNameProcessor`
A metadata node processor implementation which attaches an instance of `EntityGroupName` to an `EntityDescriptor` for each ancestor `EntitiesDescriptor` in the metadata tree.
Fields in org.opensaml.saml.metadata.resolver.filter.impl with type parameters of type MetadataNodeProcessor
Modifier and Type
Field
Description
`private List<MetadataNodeProcessor>`
NodeProcessingMetadataFilter.`processors`
The ordered list of metadata node processors.
Methods in org.opensaml.saml.metadata.resolver.filter.impl that return types with arguments of type MetadataNodeProcessor
Modifier and Type
Method
Description
`List<MetadataNodeProcessor>`
NodeProcessingMetadataFilter.`getNodeProcessors()`
Get the list of metadata node processors.
Method parameters in org.opensaml.saml.metadata.resolver.filter.impl with type arguments of type MetadataNodeProcessor
Modifier and Type
Method
Description
`void`
NodeProcessingMetadataFilter.`setNodeProcessors(List<MetadataNodeProcessor> newProcessors)`
Set the list of metadata node processors.